package com.mogo.cloud.live.model;

import com.elegant.network.NetConstants;

import java.io.Serializable;

public class BaseData<T> implements Serializable, Cloneable {

    public int code = NetConstants.NO_DATA;
    public String msg;
    public T result;

    public BaseData clone() {
        BaseData obj = null;
        try {
            obj = (BaseData) super.clone();
        } catch (CloneNotSupportedException var3) {
            var3.printStackTrace();
        }
        return obj;
    }

    public T getT() {
        return result;
    }
}
